//
// "$Id TestDockable.cxx Thu Feb 5 2006 z_hossain $"
//
// Dockability Test for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2005 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to: 
//
//             md_z_hossain@yahoo.com
//


#include <fltk/Group.h>
#include <fltk/HighlightButton.h>
#include <fltk/Window.h>
#include <fltk/HighlightButton.h>
#include <fltk/TextEditor.h>
#include <fltk/TextBuffer.h>
#include <fltk/InputBrowser.h>
#include <fltk/run.h>

#include <fltk/ItemGroup.h>
#include <fltk/MenuBar.h>
#include <fltk/Item.h>

#include "DockRegion.h"
#include "ToolGroup.h"
#include "ToolDivider.h"

using namespace fltk;

int main(int argc, char **argv) {
	
	Window *win = new Window(550, 550, "Dock Demo");
	win->begin();
	
	
	DockRegion *dg = new DockRegion(0, 0, win->w(), win->h());
	dg->box(ENGRAVED_BOX);
	dg->end();
	win->end();
	
	ToolGroup *tg = new ToolGroup(20, 20, 350, 50);
	tg->begin();
	new HighlightButton(0, 0, 50, 50, "one");
	new HighlightButton(0, 0, 50, 50, "two");
	new HighlightButton(0, 0, 50, 50, "three");
	new HighlightButton(0, 0, 50, 50, "four");
	new ToolDivider(8);
	InputBrowser* ib = new InputBrowser(255, 59, 110, 25);
	ib->begin();
	fltk::Item* o;
	o = new Item("Red"); o->set_vertical();
	o = new Item("Green"); o->set_vertical();
	o = new Item("Blue"); o->set_vertical();
	ib->end();
	ib->value("Four");
	tg->child_info(ToolGroup::FIXED_HEIGHT);
	tg->end();
	tg->showWindow();
	
	ToolGroup *tg2 = new ToolGroup(0, 0, 440, 50);
	tg2->begin();
	new HighlightButton(0, 0, 50, 50, "one");
	new HighlightButton(0, 0, 50, 50, "two");
	new HighlightButton(0, 0, 50, 50, "three");
	new ToolDivider(8);
	new HighlightButton(0, 0, 50, 50, "four");
	new HighlightButton(0, 0, 50, 50, "five");
	new HighlightButton(0, 0, 50, 50, "six");
	new ToolDivider(8);
	new HighlightButton(0, 0, 50, 50, "seven");
	new HighlightButton(0, 0, 50, 50, "eight");
	tg2->end();
	tg2->showWindow();
	
	ToolGroup *tg3 = new ToolGroup(20, 20, 250, 50);
	tg3->begin();
	new HighlightButton(0, 0, 50, 50, "one");
	new HighlightButton(0, 0, 50, 50, "two");
	new ToolDivider(8);
	
	fltk::InputBrowser* ib2 = new fltk::InputBrowser(255, 59, 110, 25);
	ib2->begin();

	o = new Item("One"); o->set_vertical();
	o = new Item("Two"); o->set_vertical();
	o = new Item("Three"); o->set_vertical();
	ib2->end();
	ib2->value("Four");
	tg3->child_info(ToolGroup::FIXED_HEIGHT | ToolGroup::FIXED_WIDTH);
	
	tg3->end();
	tg3->showWindow();
	
	
	tg->add_region(dg);
	tg2->add_region(dg);
	tg3->add_region(dg);
	
	TextEditor *td = new TextEditor(0, 0, 100, 200);
	dg->widget(td);
	
	win->resizable(dg);
	win->show(argc, argv);
	return run();
}

//
// End of "$Id TestDockable.cxx Thu Feb 5 2006 z_hossain $".
//
